Redmine 2.4.x-2.5.x support

21 Mar 2014 05:16 - Johnny Tide

Status: Closed Start date: 21 Mar 2014

Priority: Normal Due date: 03 May 2014

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Redmine version:    

Description

Environment:

Redmine version                2.5.0.devel.12986

Ruby version                   1.8.7-p352 (2011-06-30) [x86_64-linux]

Rails version                  3.2.17

Environment                    production

Database adapter               Mysql2

Redmine plugins:

redpress                       0.0.1b

To get it installed I had to do the following:

Received error: undefined method `named_scope' in red_news_patch.rb:7:in `included'

I changed base.named_scope(:visible to base.scope(:visible.

I then tried to migrate plugins again and:

Received error: uninitialized constant ActionDispatch::Routing::Routes in routes.rb

I changed:

ActionController::Routing::Routes.draw do |map|

    map.connect('session.:format', :controller => 'red_press', :action => 'index', :conditions

 => { :method => :get })

    map.connect('projects/:id/menu.:format', :controller => 'red_press', :action => 'project_menu'

, :conditions => { :method => :get })

    map.connect('news/:id/migrate', :controller => 'red_press', :action => 'migrate_news', 

:conditions => { :method => :get })

end

 

to:

RedmineApp::Application.routes.draw do

  match 'session.:format', :controller => 'red_press', :action => 'index', :via => :get

  match 'projects/:id/menu.:format', :controller => 'red_press', :action => 'project_menu', :via

 => :get

  match 'news/:id/migrate', :controller => 'red_press', :action => 'migrate_news', :via => :get

end

 

I was then able to migrate the plugin.

My question is did any of that break the plugin?  I am having issues getting Wordmine working.

I will update this with a link to my Wordmine post.
History

#1 - 21 Mar 2014 05:22 - Johnny Tide

Here is a link to my Wordmine issue http://projects.andriylesyuk.com/issues/2285.

#2 - 03 May 2014 19:29 - Andriy Lesyuk

- Description updated

- Status changed from New to In Progress

- Assignee set to Andriy Lesyuk

- % Done changed from 0 to 80

Johnny Tide wrote:

My question is did any of that break the plugin?

 

Nope, these are changes need for the plugin to work under Redmine 2.4.x-2.5.x!

#3 - 03 May 2014 21:43 - Andriy Lesyuk

- Subject changed from Trying to get this installed to Redmine 2.4.x-2.5.x support

- Due date set to 03 May 2014

- Status changed from In Progress to Closed

- % Done changed from 80 to 100
